@import "./../../../scss/variables";

.user-spinner {
  margin-top: 8vh;
  color: $primary;
  width: 4rem;
  height: 4rem;
}

.profile-loading-text {
  margin-top: 1vh;
  color: $primary;
}

.page-container {
  margin-top: 4vh;
  height: 25vh;
  text-align: center;
}

.user-img-profile {
  display: inline;
  height: 40%;
  width: auto;
  margin-bottom: 2vh;
  border-radius: 50%;
}

.text-profile-container {
  display: flex;
}

.user-username {
  color: $primary-neutral;
  font-size: 3vh;
}

.user-email-container {
  display: flex;
  justify-content: center;
  margin-top: -1vh;
}

.email-icon {
  width: 3vw;
  height: 3vh;
  margin-right: 1vh;
  filter: $primary-filter;
}

.user-email {
  color: $primary;
  font-size: 20px;
}
